--- marlin-0.5/src/View/Chrome/ViewSwicher.vala
+++ marlin-0.5/src/View/Chrome/ViewSwicher.vala
@@ -74,16 +74,16 @@
 
             switcher = new ModeButton ();
 
-            icon = new Image.from_icon_name ("view-list-icons-symbolic", IconSize.MENU);
+            icon = new Image.from_icon_name ("view-list-icons", IconSize.MENU);
             icon.set_tooltip_text (_("View as icons"));
             switcher.append(icon);
-            list = new Image.from_icon_name ("view-list-details-symbolic", IconSize.MENU);
+            list = new Image.from_icon_name ("view-list-details", IconSize.MENU);
             list.set_tooltip_text (_("View as list"));
             switcher.append(list);
-            compact = new Image.from_icon_name ("view-list-compact-symbolic", IconSize.MENU);
+            compact = new Image.from_icon_name ("view-list-compact", IconSize.MENU);
             compact.set_tooltip_text (_("View as compact list"));
             switcher.append(compact);
-            miller = new Image.from_icon_name ("view-list-column-symbolic", IconSize.MENU);
+            miller = new Image.from_icon_name ("view-list-column", IconSize.MENU);
             miller.set_tooltip_text(_("View as column"));
             switcher.append(miller);
             
--- marlin-0.5/src/View/Window.vala
+++ marlin-0.5/src/View/Window.vala
@@ -703,13 +703,13 @@
                                { "Redo", Stock.REDO, N_("_Redo"),
                                  "<control>Y", N_("Redo the last action"),
                                  action_redo_callback },
-                               { "Up", "go-up-symbolic", N_("Open _Parent"),
+                               { "Up", "go-up", N_("Open _Parent"),
                                  "<alt>Up", N_("Open the parent folder"),
                                  action_go_up },
-                               { "Back", "go-previous-symbolic", N_("_Back"),
+                               { "Back", "go-previous", N_("_Back"),
                                  "<alt>Left", N_("Go to the previous visited location"),
                                  action_go_back },
-                               { "Forward", "go-next-symbolic", N_("_Forward"),
+                               { "Forward", "go-next", N_("_Forward"),
                                  "<alt>Right", N_("Go to the next visited location"),
                                  action_go_forward },
                                { "Reload", Stock.REFRESH, N_("_Reload"),
--- marlin-0.5/src/View/LocationBar.vala
+++ marlin-0.5/src/View/LocationBar.vala
@@ -110,7 +110,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.MUSIC);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-music-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-music", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -119,7 +119,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.PICTURES);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-pictures-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-pictures", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -128,7 +128,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.VIDEOS);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-videos-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-videos", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -137,7 +137,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.DOWNLOAD);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-downloads-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-downloads", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -146,7 +146,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.DOCUMENTS);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-documents-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-documents", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -155,7 +155,7 @@
             dir = Environment.get_user_special_dir(UserDirectory.TEMPLATES);
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "folder-templates-symbolic", false, null, null, dir.split("/"), false, null};
+                IconDirectory icon = {dir, "folder-templates", false, null, null, dir.split("/"), false, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
@@ -163,7 +163,7 @@
             dir = Environment.get_home_dir();
             if(dir.contains("/"))
             {
-                IconDirectory icon = {dir, "go-home-symbolic", false, null, null, dir.split("/"), true, null};
+                IconDirectory icon = {dir, "go-home", false, null, null, dir.split("/"), true, null};
                 icon.exploded[0] = "/";
                 add_icon(icon);
             }
--- marlin-0.5/src/View/Chrome/TopMenu.vala
+++ marlin-0.5/src/View/Chrome/TopMenu.vala
@@ -43,7 +43,7 @@
             compact_menu = (Gtk.Menu) win.ui.get_widget("/CompactMenu");
             toolbar_menu = (Gtk.Menu) win.ui.get_widget("/ToolbarMenu");
 
-            app_menu = new Varka.Widgets.ToolButtonWithMenu (new Image.from_icon_name ("emblem-system-symbolic", IconSize.MENU), 
+            app_menu = new Varka.Widgets.ToolButtonWithMenu (new Image.from_icon_name ("emblem-system", IconSize.MENU), 
                                                              null, _("Menu"), compact_menu);
             setup_items();
             show();
--- marlin-0.5/libwidgets/BreadcrumbsEntry.vala
+++ marlin-0.5/libwidgets/BreadcrumbsEntry.vala
@@ -74,7 +74,7 @@
         
         /* Load arrow image */
         try {
-            arrow_img = IconTheme.get_default ().load_icon ("go-jump-symbolic", 16, IconLookupFlags.GENERIC_FALLBACK);
+            arrow_img = IconTheme.get_default ().load_icon ("go-jump", 16, IconLookupFlags.GENERIC_FALLBACK);
         } catch(Error err) {
             stderr.printf ("Unable to load home icon: %s", err.message);
         }
